Package org.apache.wiki.auth

# Class PasswordComplexityVerifier

java.lang.Object
org.apache.wiki.auth.PasswordComplexityVerifier

public final class PasswordComplexityVerifier extends Object
a simple password complexity checker

Since:
  3.0.0

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`validate(String pwd, String previousPwd, org.apache.wiki.api.core.Context context)`
validates a password, returns a list of size 0 is all the checks pass.list of size > 0 = password is invalid with each item in the list containing the rule that failed.suitable to direct display to the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### validate

public static List<String> validate(String pwd, String previousPwd, org.apache.wiki.api.core.Context context)
validates a password, returns a list of size 0 is all the checks pass.list of size > 0 = password is invalid with each item in the list containing the rule that failed.suitable to direct display to the user. i.e. the password was too short, or has too many repeating characters, etc.

Parameters:
  `pwd` -
  `context` -
Returns:
  see above